-------------------------------------------------------------------------------
-- Some nice localization to make those other people in the world feel right
--  at home too.
-------------------------------------------------------------------------------

local _, Me = ...

-------------------------------------------------------------------------------
-- First of all, we have this table filled with localization strings.
-- In bigger projects, this can get quite massive. We don't have that many
-- strings, but we'll still use some decent practices so we don't have a bunch 
-- of stuff lying around in memory;
local Locales = {} -- For example, we'll delete this big table after 
Locales.enUS = {      --  we get what we want from it.
	CROSS_RP = "Cross RP";
	ADDON_NOTES = "Links friends for cross-faction roleplay!";
	CONNECTED_TO_SERVER = "|cFF03FF11Connected to {1}";
	DISCONNECT = "Disconnect";
	DISCONNECT_TOOLTIP = "Disconnect from the server.";
	RELAY = "Relay";
	RELAY_TIP = "While the relay is active, your public chat is logged by everyone. Turn it off for privacy.\n\nIf the relay is off, you won't send any messages automatically.\n\nYou can still use the server /rp chat while it's off.";
	CONNECT = "Connect";
	CONNECT_TOOLTIP = "Connect to an RP relay!";
	NO_SERVERS_AVAILABLE = "No servers available.";
	RP_CHANNELS = "RP Channels";
	RP_CHANNELS_TOOLTIP = "Select which RP channels you want to listen to in your chat boxes.";
	RP_IS_MUTED = "RP Is Muted";
	RP_IS_MUTED_TOOLTIP = "When RP is muted, normal community members cannot post in /rp. They can still post in /rp2-9.";
	SETTINGS = "Settings";
	SETTINGS_TIP = "Open Interface options panel.";
	CONNECT_TO_SERVER_TOOLTIP = "Click to connect.";
	RP_WARNING = "RP Warning";
	RP_WARNING_TOOLTIP = "Similar to raid warning, this is accessed by leaders only with /rpw.";
	RP_CHANNEL = "RP Channel";
	RP_CHANNEL_X = "RP Channel {1}";
	RP_CHANNEL_1_TOOLTIP = "The main RP channel. Access through /rp.";
	RP_CHANNEL_X_TOOLTIP = "Channels 2-9 are meant for smaller sub-groups. Access through /rp#.";
	VERSION_LABEL = "Version: {1}";
	BY_AUTHOR = "by Tammya-MoonGuard";
	OPTION_MINIMAP_BUTTON = "Show Minimap Button";
	OPTION_MINIMAP_BUTTON_TIP = "Show or hide the minimap button (if you're using something else like Titan Panel to access it).";
	OPTION_TRANSLATE_CHAT_BUBBLES = "Translate Chat Bubbles";
	OPTION_TRANSLATE_CHAT_BUBBLES_TIP = "Try and translate chat bubbles alongside text.";
	OPTION_WHISPER_BUTTON = "Whisper Button";
	OPTION_WHISPER_BUTTON_TIP = "Adds a \"Whisper\" button when right-clicking on players from opposing faction if they're Battle.net friends. This may or may not break some things in the Blizzard UI, and you don't need it to /w someone cross-faction.";
	OPTION_INDICATOR = "Show Relay Indicator";
	OPTION_INDICATOR_TIP = "Enables/disables the relay indicator at the top of the screen. This is meant to be visible and obnoxious to REMIND YOU THAT YOUR PUBLIC CHAT (/SAY, /EM, /YELL) IS BEING LOGGED BY EVERYONE IN THE COMMUNITY.";
	OPTION_CHAT_COLORS = "Chat Colors";
	
	CONNECTED_MESSAGE = "Connected to {1}.";
	RELAY_NOTICE = "Relay Enabled. Please keep in mind that your /say, /emote, and /yell are now logged by everyone in the community. Turn it off using the minimap button if you want some privacy.";
	RELAY_DISABLED = "Relay Disabled.";
	INDICATOR_CONNECTED = "{1}"; -- no period
	DISCONNECTED_FROM_SERVER = "Disconnected from {1}.";
	WHISPER_UNVERIFIED = "(Unverified!)";
	POLICE_POSTING_YOUR_NAME = "[CROSS RP POLICE!] {1} is posting under YOUR character name.";
	POLICE_POSTING_LOCKED_NAME = "[CROSS RP POLICE!] {1} is trying to post under a name in-use already.";
	CANNOT_SEND_TO_CHANNEL = "Cannot send chat to that channel.";
	RP_CHANNEL_IS_MUTED = "RP Channel is muted. Only moderators can post.";
	CANT_POST_RPW = "Only leaders can post in RP Warning.";
	WHISPER = "Whisper";
	WHISPER_TIP = "Whisper opposing faction. (This is sent safely over a direct Battle.net whisper, privately, and doesn't use the community relay.)";
	TRAFFIC = "Traffic";
	KBPS = "KB/s";
	BPS = "B/s";
	UNKNOWN_SERVER = "(Unknown)";
	RELAY_ACTIVE = "Relay Active!";
	RELAY_IDLE = "Relay Idle";
	
	MINIMAP_TOOLTIP_CLICK_OPEN_MENU = "|cffddddddClick to open menu.";
	MINIMAP_TOOLTIP_RIGHTCLICK_OPEN_MENU = "|cffddddddRight-click to open menu.";
	MINIMAP_TOOLTIP_RESET_RELAY = "|cff20b5e7Left-click to reset relay.";
	MINIMAP_TOOLTIP_TOGGLE_RELAY = "|cffddddddLeft-click to toggle relay.";
	
	NOT_CONNECTED = "Not Connected";
	LOCKED_NOTE = "(Locked)";
	RELAY_OFF_WARNING = "Cross RP\n\nYou received a translated message from someone nearby, but your relay is off. Do you want to turn it on?";
	CONNECT_POPUP = "{1} is using Cross RP in this area. Would you like to connect to them?";
	HEIGHT_UNIT = "FEETINCHES";
	WEIGHT_UNIT = "POUNDS";
	CROSS_RP_GLANCE = "This profile was sent using Cross RP.";
	MAP_TRACKING_CROSSRP_PLAYERS = "Cross RP Players";
	RP_REALMS_ONLY = "Cross RP is for RP realms only.";
	
	-- The API can't fetch these for us for languages we don't know. These need
	--  to be filled in for each locale. In the future we might add more fake
	--            languages that can have their own IDs for extra RP languages.
	LANGUAGE_1 = "Orcish";
	LANGUAGE_7 = "Common";
	LANGUAGES_NOT_SET = "Language names have not been set up for your locale. Cross RP may not function properly.";
	
	IDLE_TIME = "Idle Time";
	UPTIME = "Uptime";
};

---------------------------------------------------------------------------
-- Other languages imported from Curse during packaging.
---------------------------------------------------------------------------

--@non-debug@

Locales.frFR = 
{
	["BPS"] = "o/s",
	["BY_AUTHOR"] = "par Tammya-MoonGuard",
	["CANNOT_SEND_TO_CHANNEL"] = "Impossible d'envoyer un message sur ce canal.",
	["CANT_POST_RPW"] = "Seuls les responsables peuvent poster dans Alerte RP.",
	["CONNECT"] = "Connexion",
	["CONNECT_POPUP"] = "{1} utilise Cross RP dans cette zone. Souhaitez-vous vous connecter à eux ?",
	["CONNECT_TO_SERVER_TOOLTIP"] = "Cliquez pour vous connecter.",
	["CONNECT_TOOLTIP"] = "Connectez-vous à un relai RP !",
	["CONNECTED_MESSAGE"] = "Connecté à {1}.",
	["CONNECTED_TO_SERVER"] = "|cFF03FF11Connecté à {1}",
	["CROSS_RP"] = "Cross RP",
	["CROSS_RP_GLANCE"] = "Ce profil a été envoyé avec Cross RP.",
	["DISCONNECT"] = "Déconnexion",
	["DISCONNECT_TOOLTIP"] = "Déconnecte du serveur relai.",
	["DISCONNECTED_FROM_SERVER"] = "Déconnecté de {1}.",
	["HEIGHT_UNIT"] = "CM",
	["INDICATOR_CONNECTED"] = "{1}",
	["KBPS"] = "Ko/s",
	["LANGUAGE_1"] = "Orc",
	["LANGUAGE_7"] = "Commun",
	["LANGUAGES_NOT_SET"] = "Les Langues n'ont pas été paramétrés pour votre région. Toutes les fonctionnalités de Cross RP peuvent ne pas être actives.",
	["LOCKED_NOTE"] = "(Verrouillé)",
	["MAP_TRACKING_CROSSRP_PLAYERS"] = "Joueurs Cross RP",
	["MINIMAP_TOOLTIP_LEFTCLICK"] = "|cff00ff00Clic gauche|r pour ouvrir le menu.",
	["MINIMAP_TOOLTIP_RIGHTCLICK"] = "|cff00ff00Clic droit|r pour les options.",
	["NO_SERVERS_AVAILABLE"] = "Pas de serveur disponible.",
	["NOT_CONNECTED"] = "Déconnecté",
	["OPTION_CHAT_COLORS"] = "Couleurs de discussion",
	["OPTION_INDICATOR"] = "Afficher l'indicateur de relai",
	["OPTION_INDICATOR_TIP"] = "Active/désactive l'indicateur de relai en haut de l'écran. Il se veut visible et dérangeant pour VOUS RAPPELER QUE VOTRE DISCUSSION PUBLIQUE (/DIRE, /EM, /CRI) EST ENREGISTREE PAR TOUS LES JOUEURS DE VOTRE COMMUNAUTE.",
	["OPTION_MINIMAP_BUTTON"] = "Afficher le bouton de la minicarte",
	["OPTION_MINIMAP_BUTTON_TIP"] = "Affiche ou cache le bouton de la minicarte (si vous utilisez quelque chose d'autre comme Titan Panel pour y accéder).",
	["OPTION_TRANSLATE_CHAT_BUBBLES"] = "Traduire les bulles de dialogue",
	["OPTION_TRANSLATE_CHAT_BUBBLES_TIP"] = "Essaie de traduire les bulles de dialogue en plus du texte.",
	["OPTION_WHISPER_BUTTON"] = "Bouton de chuchotement",
	["OPTION_WHISPER_BUTTON_TIP"] = "Ajoute un bouton \"Chuchoter\" lorsque vous faites un clic droit sur un joueur de la faction adverse s'il est ami Battle.net avec vous. Ceci peut ou non casser certaines fonctions de l'interface Blizzard, et vous n'en avez pas besoin pour /w quelqu'un dans la faction adverse.",
	["POLICE_POSTING_LOCKED_NAME"] = "[CROSS RP POLICE!] {1} essaie de poster avec un nom déjà utilisé.",
	["POLICE_POSTING_YOUR_NAME"] = "[CROSS RP POLICE!] {1} poste en utilisant le nom de VOTRE personnage.",
	["RELAY"] = "Relai",
	["RELAY_ACTIVE"] = "Relai Actif !",
	["RELAY_DISABLED"] = "Relai désactivé.",
	["RELAY_NOTICE"] = "Relai activé. Gardez à l'esprit que vos /dire, /emote et /cri sont désormais enregistrés pour tout le monde dans la communauté. Déconnectez-vous en utilisant le bouton de la minicarte si vous désirez plus de discrétion.",
	["RELAY_OFF_WARNING"] = [=[Cross RP

Vous avez reçu un message traduit de quelqu'un à proximité, mais votre relai est désactivé. Souhaitez-vous l'activer ?]=],
	["RELAY_TIP"] = [=[Tant que le relai est actif, votre discussion publique est enregistrée pour tout le monde. Désactivez-le pour votre discrétion.

Si le relai est désactivé, vous n'enverrez plus de messages automatiquement.

Vous pouvez toujours utiliser la discussion de communauté /rp tant qu'il est désactivé.]=],
	["RP_CHANNEL"] = "Canal RP",
	["RP_CHANNEL_1_TOOLTIP"] = "Le canal RP global pour cette communauté. Peut être limité à des annonces uniquement. Accédez-y en tapant /rp.",
	["RP_CHANNEL_IS_MUTED"] = "Le canal RP est verrouillé. Seuls les modérateurs peuvent poster.",
	["RP_CHANNEL_X"] = "Canal RP {1}",
	["RP_CHANNEL_X_TOOLTIP"] = "Les canaux 2-9 sont dédiés à des sous-groupes plus petits. Accédez-y en tapant /rp#.",
	["RP_CHANNELS"] = "Canaux RP",
	["RP_CHANNELS_TOOLTIP"] = "Sélectionnez quels canaux RP vous souhaitez afficher dans vos fenêtres de discussion.",
	["RP_IS_MUTED"] = "RP est verrouillé",
	["RP_IS_MUTED_TOOLTIP"] = "Lorsque RP est verrouillé, les membres de communauté normaux ne peuvent pas poster dans /rp. Ils peuvent toujours poster dans /rp2-9.",
	["RP_WARNING"] = "Alerte RP",
	["RP_WARNING_TOOLTIP"] = "Le canal d'alerte global. Il n'est accessible qu'aux responsables de la communauté en tapant /rpw.",
	["SETTINGS"] = "Paramètres",
	["SETTINGS_TIP"] = "Ouvre le panneau d'options d'interface.",
	["TRAFFIC"] = "Trafic",
	["UNKNOWN_SERVER"] = "(Inconnu)",
	["VERSION_LABEL"] = "Version: {1}",
	["WEIGHT_UNIT"] = "KG",
	["WHISPER"] = "Chuchoter",
	["WHISPER_TIP"] = "Chuchote à la faction adverse. (Ceci est envoyé de manière sécurisée via un chuchotement Battle.net direct, privé, et n'utilise pas le relai de communauté.)",
	["WHISPER_UNVERIFIED"] = "(Non vérifié !)"
}
Locales.deDE = 
{
	["BPS"] = "B/s",
	["BY_AUTHOR"] = "von Tammya-MoonGuard, übersetzt von Vorathel-ArgentDawn",
	["CANNOT_SEND_TO_CHANNEL"] = "Senden zu diesem Kanal nicht möglich.",
	["CANT_POST_RPW"] = "Nur Moderatoren können in RP Warnung schreiben.",
	["CONNECT"] = "Verbinden",
	["CONNECT_POPUP"] = "{1} benutzen Cross RP in der Umgebung. Möchtest du dich mit ihnen verbinden?",
	["CONNECT_TO_SERVER_TOOLTIP"] = "Klicken zum verbinden.",
	["CONNECT_TOOLTIP"] = "Verbinde zu einer RP Übertragung!",
	["CONNECTED_MESSAGE"] = "Verbunden mit {1}.",
	["CONNECTED_TO_SERVER"] = "|cFF03FF11Verbunden mit {1}",
	["CROSS_RP"] = "Cross RP",
	["CROSS_RP_GLANCE"] = "Dieses Profil wurde mithilfe von Cross RP übertragen.",
	["DISCONNECT"] = "Verbindung trennen",
	["DISCONNECT_TOOLTIP"] = "Verbindung zum Server trennen.",
	["DISCONNECTED_FROM_SERVER"] = "Verbindung getrennt von {1}.",
	["HEIGHT_UNIT"] = "CM",
	["INDICATOR_CONNECTED"] = "{1}",
	["KBPS"] = "KB/s",
	["LANGUAGE_1"] = "Orcisch",
	["LANGUAGE_7"] = "Gemeinsprache",
	["LANGUAGES_NOT_SET"] = "Sprachnamen wurden noch nicht für deine Lokalisierung eingerichtet. Cross RP funktioniert möglicherweise nicht richtig.",
	["LOCKED_NOTE"] = "(Gesperrt)",
	["MAP_TRACKING_CROSSRP_PLAYERS"] = "Cross RP Spieler",
	["MINIMAP_TOOLTIP_LEFTCLICK"] = "|cff00ff00Links klick|r zum öffnen des Menüs.",
	["MINIMAP_TOOLTIP_RIGHTCLICK"] = "|cff00ff00Rechts klick|r für Optionen.",
	["NO_SERVERS_AVAILABLE"] = "Keine Server verfügbar.",
	["NOT_CONNECTED"] = "Nicht verbunden",
	["OPTION_CHAT_COLORS"] = "Chat Farben",
	["OPTION_INDICATOR"] = "Übertragungs Indikator anzeigen",
	["OPTION_INDICATOR_TIP"] = "Aktiviert/Deaktiviert den Übertragungs Indikator am oberen Bildschirmrand. Dieser ist dazu gedacht so auffällig und nervig wie möglich zu sein um dich daran zu  ERINNERN DAS DEIN ÖFFENTLICHER CHAT (/SAGEN, /EMOTE, /SCHREIEN) VON JEDEM IN DER COMMUNITY AUFGEZEICHNET WIRD.",
	["OPTION_MINIMAP_BUTTON"] = "Minimap Schaltfläche anzeigen",
	["OPTION_MINIMAP_BUTTON_TIP"] = "Zeigt oder versteckt die Minimap Schaltfläche (falls du soetwas wie Titan Panel benutzt um darauf zuzugreifen).",
	["OPTION_TRANSLATE_CHAT_BUBBLES"] = "Übersetze Sprechblasen",
	["OPTION_TRANSLATE_CHAT_BUBBLES_TIP"] = "Es wird versucht den Text im Chatverlauf und dazugehörige Sprechblasen zu übersetzen.",
	["OPTION_WHISPER_BUTTON"] = "Flüstern Schaltfläche",
	["OPTION_WHISPER_BUTTON_TIP"] = "Fügt eine \"Flüstern\" Schaltfläche beim rechtsklicken eines Spielers der anderen Fraktion hinzu sofern dieser ein battle.net Freund ist. Dies könnte möglischerweise zu Problemen mit der Blizzard UI führen, aber du brauchst sie nicht um einen Spieler der anderen Fraktion zu flüstern.",
	["POLICE_POSTING_LOCKED_NAME"] = "[CROSS RP POLICE!] {1} versucht unter einen schon vorhandenen Namen zu schreiben.",
	["POLICE_POSTING_YOUR_NAME"] = "[CROSS RP POLICE!] {1} schreibt mit DEINEM Benutzernamen.",
	["RELAY"] = "Übertragung",
	["RELAY_ACTIVE"] = "Übertragung aktiv!",
	["RELAY_DISABLED"] = "Übertragung deaktiviert.",
	["RELAY_NOTICE"] = "Übertragung aktiviert. Bitte beachte das dein /sagen, /emote und /schreien jetzt von jedem in der Community aufgezeichnet wird. Schalte es über die Schaltfläche an der Minimap ab um Privatsphäre zu erlangen.",
	["RELAY_OFF_WARNING"] = [=[Cross RP

Du hast von jemanden in der Nähe eine übersetzte Nachricht erhalten, aber deine Übertragung ist inaktiv. Möchtest du sie anschalten?]=],
	["RELAY_TIP"] = [=[Während die Übertragung aktiv ist wird dein öffentlicher Chat von jedem aufgezeichnet. Schalte sie ab für Privatsphäre.

Falls die Übertragung abgeschaltet ist werden keine automatischen Nachrichten gesendet.

Du kannst immernoch den /rp Kanal benutzen während die Übertragung inaktiv ist.]=],
	["RP_CHANNEL"] = "RP Kanal",
	["RP_CHANNEL_1_TOOLTIP"] = "Der Haupt RP Kanal. Zugriff über /rp.",
	["RP_CHANNEL_IS_MUTED"] = "Der RP Kanal ist stumm gestellt. Nur Moderatoren können schreiben.",
	["RP_CHANNEL_X"] = "RP Kanal {1}",
	["RP_CHANNEL_X_TOOLTIP"] = "Die Kanäle 2-9 sind für Untergruppen gedacht. Zugriff über /rp#.",
	["RP_CHANNELS"] = "RP Kanäle",
	["RP_CHANNELS_TOOLTIP"] = "Wähle aus welchem Kanal du in deiner Chatbox lesen möchtest.",
	["RP_IS_MUTED"] = "RP ist stumm gestellt",
	["RP_IS_MUTED_TOOLTIP"] = "Wenn RP stumm ist dann können normale Community Mitglieder nicht in /rp schreiben. Sie können aber immernoch in /rp2-9 schreiben.",
	["RP_WARNING"] = "RP Warnung",
	["RP_WARNING_TOOLTIP"] = "Ähnlich wie eine Schlachtzugswarnung ist diese für Moderatoren verfügbar über /rpw.",
	["SETTINGS"] = "Einstellungen",
	["SETTINGS_TIP"] = "Öffne das Interface Optionsmenü.",
	["TRAFFIC"] = "Traffic",
	["UNKNOWN_SERVER"] = "(Unbekannt)",
	["VERSION_LABEL"] = "Version: {1}",
	["WEIGHT_UNIT"] = "KG",
	["WHISPER"] = "Flüstern",
	["WHISPER_TIP"] = "Flüster zur gegnerischen Fraktion. (Dies ist sicher und direkt über Battle.net übertragen und deshalb privat, was bedeutet das es nicht die Community Übertragung benutzt.)",
	["WHISPER_UNVERIFIED"] = "(Nicht verifiziert!)"
}
Locales.itIT = 
{
}
Locales.koKR = 
{
}
Locales.zhCN = 
{
}
Locales.zhTW = 
{
}
Locales.ruRU = 
{
	["BPS"] = "Б/с",
	["BY_AUTHOR"] = [=[сделанный Tammya-MoonGuard 


(there are grammatical cases of player names in Russian, though WoW has an in game function to adhere to that when creating a character)]=],
	["CANNOT_SEND_TO_CHANNEL"] = "Невозможно отправить в тот канал"
}
Locales.esES = 
{
	["BPS"] = "B/s",
	["BY_AUTHOR"] = "por Tammya-MoonGuard, traducido por Ynaar-ArgentDawn",
	["CANNOT_SEND_TO_CHANNEL"] = "Imposible enviar un mensaje por este canal.",
	["CANT_POST_RPW"] = "Solo líderes pueden enviar mensajes por /rpw.",
	["CONNECT"] = "Conectar",
	["CONNECT_POPUP"] = "{1} está usando Cross RP en esta área. Quieres conectarte con ellos?",
	["CONNECT_TO_SERVER_TOOLTIP"] = "Pulsar para conectar",
	["CONNECT_TOOLTIP"] = "Conéctate a un relé de Rol!",
	["CONNECTED_MESSAGE"] = "Conéctate a {1}.",
	["CONNECTED_TO_SERVER"] = "|cFF03FF11Conectado a {1}",
	["CROSS_RP"] = "Cross RP",
	["CROSS_RP_GLANCE"] = "Este perfil ha sido enviado por Cross RP.",
	["DISCONNECT"] = "Desconectar",
	["DISCONNECT_TOOLTIP"] = "Desconectarse del servidor.",
	["DISCONNECTED_FROM_SERVER"] = "Desconectar de {1}.",
	["HEIGHT_UNIT"] = "CM",
	["INDICATOR_CONNECTED"] = "{1}",
	["KBPS"] = "KB/s",
	["LANGUAGE_1"] = "Orco",
	["LANGUAGE_7"] = "Lengua común",
	["LANGUAGES_NOT_SET"] = "Los idiomas no han sido editados para tu locale, Cross RP puede fallar.",
	["LOCKED_NOTE"] = "(Bloqueado)",
	["MAP_TRACKING_CROSSRP_PLAYERS"] = "Usuarios de Cross RP",
	["MINIMAP_TOOLTIP_LEFTCLICK"] = "|cff00ff00Click izquierdo|r para abrir el menú.",
	["MINIMAP_TOOLTIP_RIGHTCLICK"] = "|cff00ff00Click derecho|r para abrir las opciones.",
	["NO_SERVERS_AVAILABLE"] = "No hay servidores disponibles.",
	["NOT_CONNECTED"] = "Desconectado",
	["OPTION_CHAT_COLORS"] = "Colores de chat",
	["OPTION_INDICATOR"] = "Mostrar indicador de relé",
	["OPTION_INDICATOR_TIP"] = "Activa o desactiva el indicador de relé en la parte superior de tu pantalla. Es intencional que sea tan visible par recordarte que TODO LO QUE DIGAS EN PÚBLICO (/DECIR, /E, /GRITAR) ESTÁ SIENDO GUARDADO POR TODA TU COMUNIDAD.",
	["OPTION_MINIMAP_BUTTON"] = "Mostrar botón de minimapa",
	["OPTION_MINIMAP_BUTTON_TIP"] = "Mostrar o esconder el botón del minimapa (Si usas algo diferente que Titan Panel para accederlo).",
	["OPTION_TRANSLATE_CHAT_BUBBLES"] = "Traducir burbujas de chat",
	["OPTION_TRANSLATE_CHAT_BUBBLES_TIP"] = "Intenta traducir las burbujas de chat junto al chat.",
	["OPTION_WHISPER_BUTTON"] = "Botón de susurro",
	["OPTION_WHISPER_BUTTON_TIP"] = "Añade un botón de \"Susurro\" Cuando pulsas botón derecho en judagores de la facción opuesta si son amigos por Battle.net. Esto quizas rompa algunos elementos de la Interfaz de Blizzard, y no es necesario para enviar susurros entre facciones.",
	["POLICE_POSTING_LOCKED_NAME"] = "[POLICÍA CROSS RP!] {1} está intentando enviar mensajes como un nombre que ya está en uso.",
	["POLICE_POSTING_YOUR_NAME"] = "[POLICÍA CROSS RP!] {1} Está utilizando el nombre de TÚ personaje para enviar mensajes.",
	["RELAY"] = "Relé",
	["RELAY_ACTIVE"] = "Relé activo !",
	["RELAY_DISABLED"] = "Relé desactivado.",
	["RELAY_NOTICE"] = "Relé activado. Por favor recuerda que todo lo que digas en /decir, /e y /gritar está siendo guardado por todos los miembros de la comunidad. Apagalo usando el botón del minimapa si quieres algo de privacidad.",
	["RELAY_OFF_WARNING"] = [=[Cross RP  

Has recibido un mensaje de alguien cercano pero Cross RP está apagado. Quieres activarlo?]=],
	["RELAY_TIP"] = [=[Mientras el relé esté activo, tus conversaciones públicas están siendo guardadas por todos los miembos de la comunidad.

Si el relé está desactivado, no enviarás mensajes automaticamente.

Puedes seguir usando el servidor de chat /rp mientras está desactivado.]=],
	["RP_CHANNEL"] = "Canal de RP",
	["RP_CHANNEL_1_TOOLTIP"] = "El canal de RP global para los miembros del servidor. Accede usando /rp.",
	["RP_CHANNEL_IS_MUTED"] = "El canal de RP está silenciado. Solo moderadores pueden escribir.",
	["RP_CHANNEL_X"] = "Canal de RP {1}",
	["RP_CHANNEL_X_TOOLTIP"] = "Los canales 2-9 son pensados para grupos mas pequeños, accede usando /rp#.",
	["RP_CHANNELS"] = "Canales de RP",
	["RP_CHANNELS_TOOLTIP"] = "Selecciona que canales de RP quieres escuchar en tu chat.",
	["RP_IS_MUTED"] = "RP está silenciado",
	["RP_IS_MUTED_TOOLTIP"] = "Cuando RP está silenciado, miembros de la comunidad no pueden enviar mensajes por /rp. No les impide enviar mensajes por /rp2-9.",
	["RP_WARNING"] = "Alerta de RP",
	["RP_WARNING_TOOLTIP"] = "Similar a Alerta de Banda, solo puede ser accedido por líderes de comunidad usando /rpw.",
	["SETTINGS"] = "Opciones",
	["SETTINGS_TIP"] = "Abre el panel de opciones de interfaz.",
	["TRAFFIC"] = "Tráfico",
	["UNKNOWN_SERVER"] = "(Desconocido)",
	["VERSION_LABEL"] = "Versión: {1}",
	["WEIGHT_UNIT"] = "KG",
	["WHISPER"] = "Susurro",
	["WHISPER_TIP"] = "Susurra a la facción opuesta (El mensaje es enviado de forma segura por un susurro de battle.net, de forma privada, y no usa el relé de la comunidad).",
	["WHISPER_UNVERIFIED"] = "(Sin Verificar !)"
}
Locales.esMX = 
{
	["BPS"] = "B/s",
	["BY_AUTHOR"] = "por Tammya-MoonGuard, traducido por Ynaar-ArgentDawn",
	["CANNOT_SEND_TO_CHANNEL"] = "Imposible enviar un mensaje por este canal.",
	["CANT_POST_RPW"] = "Solo líderes pueden enviar mensajes por /rpw.",
	["CONNECT"] = "Conectar",
	["CONNECT_POPUP"] = "{1} está usando Cross RP en esta área. Quieres conectarte con ellos?",
	["CONNECT_TO_SERVER_TOOLTIP"] = "Pulsar para conectar",
	["CONNECT_TOOLTIP"] = "Conéctate a un relé de Rol!",
	["CONNECTED_MESSAGE"] = "Conéctate a {1}.",
	["CONNECTED_TO_SERVER"] = "|cFF03FF11Conectado a {1}",
	["CROSS_RP"] = "Cross RP",
	["CROSS_RP_GLANCE"] = "Este perfil ha sido enviado por Cross RP.",
	["DISCONNECT"] = "Desconectar",
	["DISCONNECT_TOOLTIP"] = "Desconectarse del servidor.",
	["DISCONNECTED_FROM_SERVER"] = "Desconectar de {1}.",
	["HEIGHT_UNIT"] = "CM",
	["INDICATOR_CONNECTED"] = "{1}",
	["KBPS"] = "KB/s",
	["LANGUAGE_1"] = "Orco",
	["LANGUAGE_7"] = "Lengua común",
	["LANGUAGES_NOT_SET"] = "Los idiomas no han sido editados para tu locale, Cross RP puede fallar.",
	["LOCKED_NOTE"] = "(Bloqueado)",
	["MAP_TRACKING_CROSSRP_PLAYERS"] = "Usuarios de Cross RP",
	["MINIMAP_TOOLTIP_LEFTCLICK"] = "|cff00ff00Click izquierdo|r para abrir el menú.",
	["MINIMAP_TOOLTIP_RIGHTCLICK"] = "|cff00ff00Click derecho|r para abrir las opciones.",
	["NO_SERVERS_AVAILABLE"] = "No hay servidores disponibles.",
	["NOT_CONNECTED"] = "Desconectado",
	["OPTION_CHAT_COLORS"] = "Colores de chat",
	["OPTION_INDICATOR"] = "Mostrar indicador de relé",
	["OPTION_INDICATOR_TIP"] = "Activa o desactiva el indicador de relé en la parte superior de tu pantalla. Es intencional que sea tan visible par recordarte que TODO LO QUE DIGAS EN PÚBLICO (/DECIR, /E, /GRITAR) ESTÁ SIENDO GUARDADO POR TODA TU COMUNIDAD.",
	["OPTION_MINIMAP_BUTTON"] = "Mostrar botón de minimapa",
	["OPTION_MINIMAP_BUTTON_TIP"] = "Mostrar o esconder el botón del minimapa (Si usas algo diferente que Titan Panel para accederlo).",
	["OPTION_TRANSLATE_CHAT_BUBBLES"] = "Traducir burbujas de chat",
	["OPTION_TRANSLATE_CHAT_BUBBLES_TIP"] = "Intenta traducir las burbujas de chat junto al chat.",
	["OPTION_WHISPER_BUTTON"] = "Botón de susurro",
	["OPTION_WHISPER_BUTTON_TIP"] = "Añade un botón de \"Susurro\" Cuando pulsas botón derecho en judagores de la facción opuesta si son amigos por Battle.net. Esto quizas rompa algunos elementos de la Interfaz de Blizzard, y no es necesario para enviar susurros entre facciones.",
	["POLICE_POSTING_LOCKED_NAME"] = "[POLICÍA CROSS RP!] {1} está intentando enviar mensajes como un nombre que ya está en uso.",
	["POLICE_POSTING_YOUR_NAME"] = "[POLICÍA CROSS RP!] {1} Está utilizando el nombre de TÚ personaje para enviar mensajes.",
	["RELAY"] = "Relé",
	["RELAY_ACTIVE"] = "Relé activo !",
	["RELAY_DISABLED"] = "Relé desactivado.",
	["RELAY_NOTICE"] = "Relé activado. Por favor recuerda que todo lo que digas en /decir, /e y /gritar está siendo guardado por todos los miembros de la comunidad. Apagalo usando el botón del minimapa si quieres algo de privacidad.",
	["RELAY_OFF_WARNING"] = [=[Cross RP  
	
	Has recibido un mensaje de alguien cercano pero Cross RP está apagado. Quieres activarlo?]=],
	["RELAY_TIP"] = [=[Mientras el relé esté activo, tus conversaciones públicas están siendo guardadas por todos los miembos de la comunidad.
	
	Si el relé está desactivado, no enviarás mensajes automaticamente
	
	Puedes seguir usando el servidor de chat /rp mientras está desactivado.]=],
	["RP_CHANNEL"] = "Canal de RP",
	["RP_CHANNEL_1_TOOLTIP"] = "El canal de RP global para los miembros del servidor. Accede usando /rp.",
	["RP_CHANNEL_IS_MUTED"] = "El canal de RP está silenciado. Solo moderadores pueden escribir.",
	["RP_CHANNEL_X"] = "Canal de RP {1}",
	["RP_CHANNEL_X_TOOLTIP"] = "Los canales 2-9 son pensados para grupos mas pequeños, accede usando /rp#.",
	["RP_CHANNELS"] = "Canales de RP",
	["RP_CHANNELS_TOOLTIP"] = "Selecciona que canales de RP quieres escuchar en tu chat.",
	["RP_IS_MUTED"] = "RP está silenciado",
	["RP_IS_MUTED_TOOLTIP"] = "Cuando RP está silenciado, miembros de la comunidad no pueden enviar mensajes por /rp. No les impide enviar mensajes por /rp2-9.",
	["RP_WARNING"] = "Alerta de RP",
	["RP_WARNING_TOOLTIP"] = "Similar a Alerta de Banda, solo puede ser accedido por líderes de comunidad usando /rpw.",
	["SETTINGS"] = "Opciones",
	["SETTINGS_TIP"] = "Abre el panel de opciones de interfaz.",
	["TRAFFIC"] = "Tráfico",
	["UNKNOWN_SERVER"] = "(Desconocido)",
	["VERSION_LABEL"] = "Versión: {1}",
	["WEIGHT_UNIT"] = "KG",
	["WHISPER"] = "Susurro",
	["WHISPER_TIP"] = "Susurra a la facción opuesta (El mensaje es enviado de forma segura por un susurro de battle.net, de forma privada, y no usa el relé de la comunidad).",
	["WHISPER_UNVERIFIED"] = "(Sin Verificar !)"
}
Locales.ptBR = 
{
	["BPS"] = "B/s",
	["BY_AUTHOR"] = "por Tammya-MoonGuard, traduzido por Belythalin-ArgentDawn",
	["CANNOT_SEND_TO_CHANNEL"] = "Não pode enviar mensagens para esse canal.",
	["CANT_POST_RPW"] = "Apenas lideres podem postar nos Avisos de RP.",
	["CONNECT"] = "Conectar",
	["CONNECT_POPUP"] = "{1} estão a usar Cross RP nesta area. Gostaria de se conectar com eles?",
	["CONNECT_TO_SERVER_TOOLTIP"] = "Clique para se conectar",
	["CONNECT_TOOLTIP"] = "Conecte-se a uma transmissão RP!",
	["CONNECTED_MESSAGE"] = "Conectado a {1}.",
	["CONNECTED_TO_SERVER"] = "|cFF03FF11Conectado a {1}",
	["CROSS_RP"] = "Cross RP",
	["CROSS_RP_GLANCE"] = "Este perfil foi enviado usando Cross RP.",
	["DISCONNECT"] = "Disconectar",
	["DISCONNECT_TOOLTIP"] = "Disconectar do servidor.",
	["DISCONNECTED_FROM_SERVER"] = "Disconectado de {1}.",
	["HEIGHT_UNIT"] = "CM",
	["INDICATOR_CONNECTED"] = "{1}",
	["KBPS"] = "KB/s",
	["LANGUAGE_1"] = "Órquico",
	["LANGUAGE_7"] = "Língua Comum",
	["LANGUAGES_NOT_SET"] = "Os nomes das linguagens não foram estabelecidos para a sua localização. O Cross RP pode não funcionar corretamente.",
	["LOCKED_NOTE"] = "(Trancado)",
	["MAP_TRACKING_CROSSRP_PLAYERS"] = "Jogadores com Cross RP",
	["MINIMAP_TOOLTIP_LEFTCLICK"] = "|cff00ff00Left-click|r para abrir o menu.",
	["MINIMAP_TOOLTIP_RIGHTCLICK"] = "|cff00ff00Right-click|r para as opções.",
	["NO_SERVERS_AVAILABLE"] = "Não há servidores disponíveis.",
	["NOT_CONNECTED"] = "Não Conectado",
	["OPTION_CHAT_COLORS"] = "Cores do Chat",
	["OPTION_INDICATOR"] = "Mostrar Indicador de Transmissão",
	["OPTION_INDICATOR_TIP"] = "Activa/Desativa o indicador de transmissão no topo do ecrã. Tal é suposto ser uma lembrança visível e irritante que OS SEUS CHATS PÚBLICOS (/DIZER, /EU, /GRITAR) ESTÃO A SER REGISTADOS POR TODAS AS PESSOAS NA COMUNIDADE.",
	["OPTION_MINIMAP_BUTTON"] = "Mostrar o Botão no Minimapa",
	["OPTION_MINIMAP_BUTTON_TIP"] = "Mostrar ou esconder o botão no minimapa (se estiver  a usar algo como Titan Panel para o acessar).",
	["OPTION_TRANSLATE_CHAT_BUBBLES"] = "Traduzir os Balões de Diálogo. ",
	["OPTION_TRANSLATE_CHAT_BUBBLES_TIP"] = "Tenta traduzir os balões de diálogo juntamente com o texto.",
	["OPTION_WHISPER_BUTTON"] = "Botão Sussurro",
	["OPTION_WHISPER_BUTTON_TIP"] = "Adiciona um botão \"Sussurro\" quando clica com o rato direito num jogador da facção oposta se for seu amigo no Battle.net. Tal pode ou não quebrar algumas funcionalidades da UI da Blizzard e não é necessário para /w alguém entre facções.",
	["POLICE_POSTING_LOCKED_NAME"] = "[POLICIA CROSS RP!] {1} está a tentar postar sob um nome que já se encontra em uso.",
	["POLICE_POSTING_YOUR_NAME"] = "[POLICIA CROSS RP!] {1} esta a postar sob o nome do SEU personagem.",
	["RELAY"] = "Transmissão",
	["RELAY_ACTIVE"] = "Transmissão Ativa!",
	["RELAY_DISABLED"] = "Transmissão Inativa.",
	["RELAY_NOTICE"] = "Transmissão ativa. Tenha em mente que o seu /dizer, /expressão e /gritar estão agora a ser registados por todas as pessoas na comunidade. Desligue a transmissão usando o botão no minimapa se deseja alguma privacidade.",
	["RELAY_OFF_WARNING"] = [=[Cross RP

Recebeu uma mensagem traduzida de alguém próximo, mas a sua transmissão está inativa. Deseja ativa-la?]=],
	["RELAY_TIP"] = [=[Enquanto a transmissão se encontra ativa, o seu chat publico é registado por toda a gente. Desligue a transmissão se deseja privacidade. 

Se a transmissão estiver inativa, não enviará mensagens automaticamente. 

Pode continuar a usar o chat /rp do servidor enquanto a transmissão está inativa.]=],
	["RP_CHANNEL"] = "Canal RP",
	["RP_CHANNEL_1_TOOLTIP"] = "O principal canal RP. Acesse através de /rp.",
	["RP_CHANNEL_IS_MUTED"] = "O Canal RP está trancado. Apenas os moderadores podem postar.",
	["RP_CHANNEL_X"] = "Canal RP {1}",
	["RP_CHANNEL_X_TOOLTIP"] = "Canais 2-9 são pretendidos para pequenos sub-grupos. Acesse através de /rp#. ",
	["RP_CHANNELS"] = "Canais RP",
	["RP_CHANNELS_TOOLTIP"] = "Seleccione quais os canais de RP que pretende ver nas suas janelas de chat.",
	["RP_IS_MUTED"] = "RP está trancado.",
	["RP_IS_MUTED_TOOLTIP"] = "Quando o canal RP está trancado, os membros normais da comunidade não podem postar em /rp. Podem continuar a postar em /rp2-9.",
	["RP_REALMS_ONLY"] = "Cross RP é apenas para servidores de RP.",
	["RP_WARNING"] = "Avisos de RP",
	["RP_WARNING_TOOLTIP"] = "Similar ao raid warning (/rc), tal é acessível apenas por lideres através de /rpw.",
	["SETTINGS"] = "Configurações.",
	["SETTINGS_TIP"] = "Abrir o interface do painel das opções.",
	["TRAFFIC"] = "Tráfego ",
	["UNKNOWN_SERVER"] = "(Desconhecido)",
	["VERSION_LABEL"] = "Versão: {1}",
	["WEIGHT_UNIT"] = "KG",
	["WHISPER"] = "Sussurrar",
	["WHISPER_TIP"] = "Enviar um sussurro para a facção oposta. (Tal é enviado de forma segura através de uma mensagem direta no Battle-net e não usa a transmissão da comunidade.)",
	["WHISPER_UNVERIFIED"] = "(Não Verificado!)"
}

--@end-non-debug@


-------------------------------------------------------------------------------
-- What we do now is take the enUS table, and then merge it with whatever
-- locale the client is using. Just paste it on top, and any untranslated
local locale_strings = Locales.enUS  -- strings will remain English.

do
	local client_locale = GetLocale() -- Gets the WoW locale.
	
	-- Skip this if they're using the English client, or if we don't support
	-- the locale they're using (no strings defined).
	if client_locale ~= "enUS" and Locales[client_locale] then
		if not Locales[client_locale].LANGUAGE_1 
		         or not Locales[client_locale].LANGUAGE_7 then
			-- The languages aren't translated for this locale, warn them...
			Me.languages_not_set = true
		end
		-- Go through the foreign locale strings and overwrite the English
		--  entries. I hate using the word "foreign"; it seems like I'm
		--  treating non-English speakers as aliens, ehe...
		for k, v in pairs( Locales[client_locale] ) do
			locale_strings[k] = v
		end
	end
end

-------------------------------------------------------------------------------
-- Now we've got our merged table, so we can throw away the original data for
Locales = nil -- everything. Just blow up this old Locales table.

-------------------------------------------------------------------------------
-- And here we have the main Locale API. It's simple, but has some cool
Me.Locale = setmetatable( {}, { -- features. Normally, this table will be 
                                  --  stored in a local variable called L.

	-- If we access it like L["KEY"] or L.KEY then it's a direct lookup into
	--  our locale table. If it doesn't exist, then it uses the key directly.
	__index = function( table, key ) -- Most of the translations' keys are
		return locale_strings[key]   --  literal English translations.
		       or key
	end;
	
	-- If we treat the locale table like a function, then we can do 
	--  substitutions, like `L( "string {1}", value )`.
	__call = function( table, key, ... )
		-- First we get the translation. Note this isn't a raw access, so
		key = table[key] -- this goes through the __index metamethod 
		                 -- too if it doesn't exist.
		-- Pack args into a table; iterate over them.
		local args = {...}
		for i = 1, #args do
			-- And replace {1}, {2} etc with them.
			key = key:gsub( "{" .. i .. "}", args[i] )
		end
		return key
	end;
})
